import { Winston } from "@artcom/logger";
import { HttpClient, MqttClient } from "@artcom/mqtt-topping";
export declare type BootstrapData = {
    configServerUri: string;
    device: string;
    httpBrokerUri: string;
    tcpBrokerUri: string;
};
export declare type QueryParams = {
    version?: string;
    listFiles?: boolean;
    includeCommitHash?: boolean;
};
export declare type QueryConfig = (configPath: string, params: QueryParams) => any;
export declare type InitData = {
    logger: Winston.Logger;
    mqttClient: MqttClient;
    httpClient: HttpClient;
    queryConfig: QueryConfig;
    data: BootstrapData;
};
export declare type Options = {
    timeout?: number;
    retryDelay?: number;
    debugBootstrapData?: BootstrapData;
};
